# Wagtail 6.3 release notes - IN DEVELOPMENT

_Unreleased_

```{contents}
---
local:
depth: 1
---
```

## What's new

### Django 5.1 support

This release adds formal support for Django 5.1.

### Other features

 * Redirect to the last viewed listing page after deleting form submissions (Matthias Brück)
 * Provide `getTextLabel` method on date / time StreamField blocks (Vaughn Dickson)
 * Purge frontend cache when modifying redirects (Jake Howard)

### Bug fixes

 * Prevent page type business rules from blocking reordering of pages (Andy Babic, Sage Abdullah)
 * Improve layout of object permissions table (Sage Abdullah)
 * Fix typo in aria-label attribute of page explorer navigation link (Sébastien Corbin)
 * Reinstate transparency indicator on image chooser widgets (Sébastien Corbin)

### Documentation

 * Upgrade Sphinx to 7.3 (Matt Westcott)
 * Document how to customise date/time format settings (Vince Salvino)


### Maintenance

 * Removed support for Python 3.8 (Matt Westcott)
 * Drop pytz dependency in favour of `zoneinfo.available_timezones` (Sage Abdullah)
 * Relax django-taggit dependency to allow 6.0 (Matt Westcott)


## Upgrade considerations - changes affecting all projects

## Upgrade considerations - deprecation of old functionality

### Removed support for Python 3.8

Python 3.8 is no longer supported as of this release; please upgrade to Python 3.9 or above before upgrading Wagtail.

## Upgrade considerations - changes affecting Wagtail customisations

## Upgrade considerations - changes to undocumented internals
